Bug 1312413 - edit form for LDAP user
edit form for LDAP user
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Soumya Deb
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 11:13 EST by Martin Kudlej
Modified: 2017-03-23 00:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:11:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-02-26 11:13:32 EST
Description of problem:
I've imported user from LDAP and tried to edit it.
I think it should be possible to change just USM related LDAP user attributes like "Enabled" and "Email notifications". Rest of attributes should be read-only.

Also there is wrong type of imported user in Edit form. Now there is "Internal" and there should be "Imported from LDAP".

Version-Release number of selected component (if applicable):
rhscon-ceph-0.0.6-8.el7.x86_64
rhscon-core-0.0.8-7.el7.x86_64
rhscon-ui-0.0.16-1.el7.noarch

How reproducible:
100%

Actual results:
Attributes of imported user are editable as for internal user.

Expected results:
All attributes of imported user should be read-only except "Enabled" and "Email notifications". Imported user type will be "Imported from LDAP".
Comment 3 Nishanth Thomas 2016-06-21 08:41:27 EDT
screen shot and current status
Comment 4 Martin Kudlej 2016-07-01 11:24:50 EDT
See screenshots in bug 1312761

Note You need to log in before you can comment on or make changes to this bug.